## qcomicbook 0.8.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(QComicBook)
SET(VERSION "0.8.2")
SET(PACKAGE qcomicbook) 
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release)
ENDIF()

IF(CMAKE_BUILD_TYPE STREQUAL "Release")
    ADD_DEFINITIONS( -DQT_NO_DEBUG_OUTPUT ) 
ENDIF()

SET(QT_MIN_VERSION "4.5.0")
FIND_PACKAGE(Qt4 REQUIRED)
INCLUDE(${QT_USE_FILE})

INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(POPPLER poppler-qt4>=0.12.4)

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "\\\\.git.*"
 "/install_manifest\\\\.txt"
 "CMakeFiles/"
 "Makefile"
 "CMakeCache"
 "cmake_install\\\\.cmake"
 "CPack*" "~$" "\\\\.o$"
 "moc_.*"
 "ui_.+"
 "\\\\.qm$"
 "\\\\.cxx$"
 "/config\\\\.h$"
 "/qcomicbook$")
INCLUDE(CPack)

ADD_SUBDIRECTORY(i18n)
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(help)

MESSAGE("Build type: " ${CMAKE_BUILD_TYPE})

=== help/CMakeLists.txt ===
INSTALL(FILES qcomicbook.1 DESTINATION share/man/man1)

=== i18n/CMakeLists.txt ===
QT4_ADD_TRANSLATION(qcomicbook_qm
			qcomicbook_de_DE.ts
                        qcomicbook_es_ES.ts
                        qcomicbook_it_IT.ts
                        qcomicbook_fi_FI.ts
                        qcomicbook_fr_FR.ts
                        qcomicbook_fr_CA.ts
			qcomicbook_cs_CZ.ts
                        qcomicbook_ko_KR.ts
                        qcomicbook_nl_NL.ts
                        qcomicbook_pl_PL.ts
                        qcomicbook_pt_BR.ts
			qcomicbook_ru_RU.ts
                        qcomicbook_uk_UA.ts
			qcomicbook_zh_CN.ts
                   )

ADD_CUSTOM_TARGET(translations DEPENDS ${qcomicbook_qm})
INSTALL(FILES ${qcomicbook_qm} DESTINATION share/${PACKAGE}/i18n)

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/FrameDetect
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/FrameDetect
	${CMAKE_BINARY_DIR}
	${POPPLER_INCLUDE_DIRS}
)

SET(qcomicbook_src
	FrameDetect/BinarizedImage.cpp
	FrameDetect/ComicFrameList.cpp
	FrameDetect/FrameDetect.cpp
	FrameDetect/FrameDetectThread.cpp
	FrameDetect/FrameCache.cpp
	Archivers/ArchiversConfiguration.cpp
        Archivers/ArchiverHint.cpp
	Archivers/ArchiverStatus.cpp
	Archivers/ArchiverStrategy.cpp
	Archivers/AceArchiverStrategy.cpp
	Archivers/P7zipArchiverStrategy.cpp
	Archivers/RarArchiverStrategy.cpp
	Archivers/TargzArchiverStrategy.cpp
	Archivers/Tarbz2ArchiverStrategy.cpp
	Archivers/ZipArchiverStrategy.cpp
	ColorPushButton.cpp
	FileSignature.cpp 
	AboutDialog.cpp
	Bookmark.cpp
	BookmarkManager.cpp
	Bookmarks.cpp
	ComicBookCfgDialog.cpp
	ComicBookInfo.cpp
	ComicBookSettings.cpp
	ComicImageWidget.cpp
	ComicMainWindow.cpp
	DirReader.cpp
	FrameView.cpp
	FrameWidget.cpp
	History.cpp
	IconViewThumbnail.cpp
	Sink/ImgArchiveSink.cpp
        Sink/ImgPdfSink.cpp
	Sink/ImgDirSink.cpp
	Sink/ImgSink.cpp
	Sink/ImgSinkFactory.cpp
	ImageFormatsInfo.cpp
	ImgCache.cpp
	LoaderThreadBase.cpp
	PageLoaderThread.cpp
        PrintProgressDialog.cpp
	GoToPageWidget.cpp
	ListViewThumbnail.cpp
	main.cpp
	Utility.cpp
	Page.cpp
	PageWidget.cpp
	PageViewBase.cpp
        PrinterThread.cpp
	SimplePageView.cpp
	ContinuousPageView.cpp
        RecentFilesMenu.cpp
	StatusBar.cpp
	SystemInfoDialog.cpp
	Thumbnail.cpp
	ThumbnailItem.cpp
	ThumbnailLoaderThread.cpp
	ThumbnailsView.cpp
	ThumbnailsWindow.cpp
	ViewProperties.cpp
)

SET(qcomicbook_moc_hdrs
	FrameDetect/FrameCache.h
	FrameDetect/FrameDetectThread.h
	Archivers/ArchiversConfiguration.h
	BookmarkManager.h 
	ComicBookCfgDialog.h 
	ComicBookSettings.h 
	ComicImageWidget.h
	ComicMainWindow.h 
	FrameView.h
	PageViewBase.h 
	ContinuousPageView.h
	SimplePageView.h
	Sink/ImgSink.h 
	Sink/ImgArchiveSink.h
	LoaderThreadBase.h 
	PageLoaderThread.h
	ThumbnailLoaderThread.h
	GoToPageWidget.h 
	PageWidget.h
        PrinterThread.h
        PrintProgressDialog.h
        RecentFilesMenu.h
	StatusBar.h 
        SystemInfoDialog.h
	ThumbnailsWindow.h 
	ThumbnailsView.h
	ViewProperties.h
)

SET(qcomicbook_ui
	AboutDialog.ui
	ConfigDialog.ui
	DonationDialog.ui
	BookmarkManager.ui
	ComicMainWindow.ui
	GoToPageWidget.ui
        PrintProgressDialog.ui
	SystemInfoDialog.ui
)

QT4_ADD_RESOURCES(qcomicbook_res ../data/qcomicbook.qrc)
QT4_WRAP_CPP(qcomicbook_moc_src ${qcomicbook_moc_hdrs})
QT4_WRAP_UI(qcomicbook_ui_src ${qcomicbook_ui})
###QT4_ADD_TRANSLATION(qcomicbook_qm ../lang/pl_PL.ts)

ADD_EXECUTABLE(qcomicbook ${qcomicbook_src} ${qcomicbook_moc_src} ${qcomicbook_ui_src} ${qcomicbook_res})
ADD_DEPENDENCIES(qcomicbook translations)
TARGET_LINK_LIBRARIES(qcomicbook ${QT_LIBRARIES})
TARGET_LINK_LIBRARIES(qcomicbook ${POPPLER_LIBRARIES})

INSTALL(TARGETS qcomicbook DESTINATION bin)

=== debian/changelog ===
qcomicbook (0.8.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group; see #826918.
  * Switch source format to "3.0 (quilt)":
    - stop using the quilt dh addon, patches are applied automatically now
    - drop the quilt build dependency, no more used now
    - remove README.source, no more useful now
  * Let debhelper configure cmake, so it is build in a subdirectory; this
    simplifies the cleaning of the build tree, so the manual job in dh_clean
    is not needed anymore.
  * Enable the parallel build.
  * Drop menu file and its pixmap, since qcomicbook already provides a
    .desktop file.
  * Build the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9
  * Switch Homepage to http://github.com/stolowski/QComicBook.
  * Remove the unused autotools-dev build dependency.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove the install file, as all the files are already installed by the
    upstream build system.
  * Do not install TODO as documentation, as it is not useful for users.

 -- Pino Toscano <pino@debian.org>  Wed, 12 Oct 2016 22:17:34 +0200

qcomicbook (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sat, 15 Oct 2011 05:27:06 +0200

qcomicbook (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends: libpoppler-qt4-dev

 -- Bart Martens <bartm@debian.org>  Fri, 26 Aug 2011 19:57:37 +0000

qcomicbook (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 13 Feb 2011 14:42:58 +0000

qcomicbook (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Mon, 27 Sep 2010 18:42:23 +0000

qcomicbook (0.5.0-2) unstable; urgency=low

  * New homepage.  Closes: #561987.

 -- Bart Martens <bartm@debian.org>  Tue, 23 Mar 2010 18:12:10 +0100

qcomicbook (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: 7.
  * debian/control: Build-Depends: debhelper (>= 7), quilt, cmake.
  * debian/control: No longer Build-Depends: cdbs.

 -- Bart Martens <bartm@debian.org>  Fri, 11 Dec 2009 17:46:15 +0100

qcomicbook (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@debian.org>  Wed, 23 Sep 2009 17:36:28 +0200

qcomicbook (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Suggests: rar [i386 amd64].

 -- Bart Martens <bartm@debian.org>  Sat, 12 Sep 2009 16:50:03 +0200

qcomicbook (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends: libqt4-dev (>= 4.3.0).

 -- Bart Martens <bartm@debian.org>  Sat, 15 Aug 2009 12:22:45 +0200

qcomicbook (0.4.0-2) unstable; urgency=low

  * debian/control: "Recommends: zip, unzip" and "Suggests: rar, unrar".
    Closes: #532326.
  * debian/patches/02_desktop.diff: Added.  Closes: #532328.

 -- Bart Martens <bartm@debian.org>  Mon, 08 Jun 2009 20:58:33 +0200

qcomicbook (0.4.0-1) unstable; urgency=low

  * New maintainer.  Michal is welcome back at any time.
  * New upstream release.  Closes: #470789.
  * debian/control: Build-Depends on newer qt version, and on pkg-config.
  * debian/copyright: Updated.
  * debian/rules: Switch to cdbs.
  * debian/watch: Updated.  Closes: #450188.

 -- Bart Martens <bartm@debian.org>  Sat, 06 Jun 2009 16:00:05 +0200

qcomicbook (0.3.4-1) unstable; urgency=low

  * Initial release in Debian. Closes: #421970.
  * debian/compat, debian/control: debhelper version 5.
  * debian/control: Added homepage to long package description.
  * debian/rules: Removed config.guess and config.sub from the .diff.gz file.
  * debian/rules: Updated to have the "clean" rule restore everything.
  * debian/rules: Added use of dh_desktop.
  * debian/control: Fixing "Recommends" and "Suggests".

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sat, 05 May 2007 02:40:18 +0200

qcomicbook (0.3.4-0) unstable; urgency=low

  * New Upstream Release.
  * Updated watch and desktop files.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sun, 07 Jan 2007 18:11:42 +0100

qcomicbook (0.3.3-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Fri, 22 Sep 2006 16:08:46 +0200

qcomicbook (0.3.2-0) unstable; urgency=low

  * New Upstream Release.
  * REALLY bumped Standards-Version to 3.7.2 (no changes) - sorry.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sun, 27 Aug 2006 14:45:02 +0200

qcomicbook (0.3.1-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Tue, 22 Aug 2006 11:18:22 +0200

qcomicbook (0.3.0-0) unstable; urgency=low

  * New Upstream Release.
  * Little patch to continue support for not-so-new libimlib2
    (Debian Sarge, Ubuntu Hoary and Breezy)

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Wed, 16 Aug 2006 22:19:11 +0200

qcomicbook (0.2.8-0) unstable; urgency=low

  * New Upstream Release.
  * Moving "debian" directory out of upstram.
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sat, 01 Jul 2006 15:06:22 +0200

qcomicbook (0.2.7-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Fri, 03 Mar 2006 01:03:27 +0100

qcomicbook (0.2.6-0) unstable; urgency=low

  * New Upstream Release.
  * Correcting debianized files.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Tue, 27 Dec 2005 22:00:00 +0100

qcomicbook (0.2.5-0) unstable; urgency=low

  * New Upstream Release.

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Sun, 13 Nov 2005 21:05:24 +0100

qcomicbook (0.2.4-0) unstable; urgency=low

  * New Upstream Release.
  * Updated manpage.
  * Ubuntu compatibility and building process enabled. ;)

 -- Michal Pena (Cyb.org) <mp@horisone.com>  Wed, 03 Aug 2005 23:14:03 +0100

qcomicbook (0.2.3-0) unstable; urgency=low

  * New Upstream Release.



=== debian/control ===
Source: qcomicbook
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3.0), libimlib2-dev, pkg-config, cmake, libpoppler-qt4-dev
Standards-Version: 3.9.8
Homepage: http://github.com/stolowski/QComicBook

Package: qcomicbook
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: unrar-free, zip, unzip, unace, bzip2 | pbzip2
Suggests: rar [i386 amd64], unrar
Description: qt viewer for comic book archives (cbr/cbz/cba/cbg/cbb)
 QComicBook is a viewer for comic book archives containing
 jpeg/png images, which aims at convenience and simplicity.
 Features include: automatic decompression, full-screen mode,
 page scaling, mouse or keyboard navigation etc.
 .
 QComicBook for now supports archives:
  - cbr - rar-compressed
  - cbz - zip-compressed
  - cba - ace-compressed
  - cbg - targzipped
  - cbb - tarbzip2ped

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/" \
http://qcomicbook.linux-projects.net/download .*qcomicbook-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)
# generated by watchupstream 0.8.2

## qcomicbook 0.9.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(QComicBook)
SET(VERSION "0.9.1")
SET(PACKAGE qcomicbook) 
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release)
ELSE()
    ADD_DEFINITIONS( -DDEBUG )
ENDIF()

IF(CMAKE_BUILD_TYPE STREQUAL "Release")
    ADD_DEFINITIONS( -DQT_NO_DEBUG_OUTPUT )
ENDIF()

#set(CMAKE_AUTOMOC ON)

SET(QT_MIN_VERSION "5.4.0")
FIND_PACKAGE(Qt5Core REQUIRED)
FIND_PACKAGE(Qt5Widgets REQUIRED)
FIND_PACKAGE(Qt5LinguistTools REQUIRED)
FIND_PACKAGE(Qt5PrintSupport REQUIRED)
FIND_PACKAGE(Qt5X11Extras)
#SET(QT_USE_QTOPENGL TRUE)
#INCLUDE(${QT_USE_FILE})
include_directories(${Qt5Core_INCLUDE_DIRS})
include_directories(${Qt5Widgets_INCLUDE_DIRS})
include_directories(${Qt5PrintSupport_INCLUDE_DIRS})
include_directories(${Qt5X11Extras_INCLUDE_DIRS})
add_definitions(${Qt5Widgets_DEFINITIONS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(POPPLER poppler-qt5>=0.12.4 REQUIRED)

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "\\\\.git.*"
 "/install_manifest\\\\.txt"
 "CMakeFiles/"
 "Makefile"
 "CMakeCache"
 "cmake_install\\\\.cmake"
 "CPack*" "~$" "\\\\.o$"
 "moc_.*"
 "ui_.+"
 "\\\\.qm$"
 "\\\\.cxx$"
 "/config\\\\.h$"
 "/qcomicbook$")
INCLUDE(CPack)

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(i18n)

MESSAGE("Build type: " ${CMAKE_BUILD_TYPE})

=== data/CMakeLists.txt ===
SET(DATA_FILES bestfit.png 
	     bookmark.png 
	     fitheight.png 
	     fitwidth.png 
	     fforward.png 
	     fbackward.png 
	     info.png 
	     japanese.png 
             lens.png
	     nextpage.png 
	     openarch.png 
	     opendir.png 
	     orgsize.png 
	     pagebottom.png 
	     pagetop.png 
	     prevpage.png 
	     rright.png 
	     rleft.png 
	     qcomicbook.png 
	     settings.png 
	     thumbnails.png 
	     twopages.png 
	     wholepage.png 
	     qcomicbook-splash.png)

#INSTALL(FILES ${DATA_FILES} DESTINATION share/${PACKAGE})
INSTALL(FILES qcomicbook.png DESTINATION share/pixmaps)
INSTALL(FILES qcomicbook.desktop DESTINATION share/applications)

=== i18n/CMakeLists.txt ===
file (GLOB translation_src *.ts)

qt5_create_translation(qcomicbook_qm ${FILES_TO_TRANSLATE} ${translation_src})
SET_PROPERTY(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY CLEAN_NO_CUSTOM ON)
ADD_CUSTOM_TARGET(translations DEPENDS ${qcomicbook_qm})
INSTALL(FILES ${qcomicbook_qm} DESTINATION share/${PACKAGE}/i18n)

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/FrameDetect
        ${CMAKE_SOURCE_DIR}/src/Job
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/FrameDetect
        ${CMAKE_BINARY_DIR}/src/Job
	${CMAKE_BINARY_DIR}
	${POPPLER_INCLUDE_DIRS}
)

SET(qcomicbook_moc_hdrs
    Debug/DebugController.h
    Debug/ContinuousPageViewDebug.h
    Debug/MemoryDebug.h
	FrameDetect/FrameCache.h
	FrameDetect/FrameDetectThread.h
	Archivers/ArchiversConfiguration.h
	BookmarkManager.h 
	ComicBookCfgDialog.h 
	ComicBookInfo.h
	ComicBookSettings.h 
	ComicMainWindow.h 
	View/FrameView.h
	View/PageViewBase.h 
	View/ContinuousPageView.h
	View/SimplePageView.h
	Sink/ImgSink.h
        Sink/ImgDirSink.h 
	Sink/ImgArchiveSink.h
	LoaderThreadBase.h 
	PageLoaderThread.h
	ThumbnailLoaderThread.h
	GoToPageWidget.h 
        PrinterThread.h
        PrintProgressDialog.h
        RecentFilesMenu.h
	StatusBar.h 
        SystemInfoDialog.h
	ThumbnailsWindow.h 
	ThumbnailsView.h
	ViewProperties.h
        Job/ImageTransformThread.h
)

file (GLOB_RECURSE qcomicbook_hdr *.h *.hpp)
file (GLOB_RECURSE qcomicbook_src *.cpp)
file (GLOB_RECURSE qcomicbook_ui *.ui)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${qcomicbook_src}
	${qcomicbook_ui} ${qcomicbook_hdr} PARENT_SCOPE)

qt5_add_resources(qcomicbook_res ../data/qcomicbook.qrc)
qt5_wrap_cpp(qcomicbook_moc_src ${qcomicbook_moc_hdrs})
qt5_wrap_ui(qcomicbook_ui_src ${qcomicbook_ui})

ADD_EXECUTABLE(qcomicbook ${qcomicbook_src} ${qcomicbook_moc_src} ${qcomicbook_ui_src} ${qcomicbook_res})
ADD_DEPENDENCIES(qcomicbook translations)
TARGET_LINK_LIBRARIES(qcomicbook Qt5::Widgets Qt5::PrintSupport Qt5::X11Extras)
TARGET_LINK_LIBRARIES(qcomicbook ${POPPLER_LIBRARIES})

INSTALL(TARGETS qcomicbook DESTINATION bin)

=== debian/changelog ===
qcomicbook (0.9.1-4) unstable; urgency=medium

  * Add i18n/qcomicbook_*.ts to extend-diff-ignore (auto-generated files
    included in orig tar modified during build) (Closes: #1045881).
  * Replace pkg-config with pkgconf.
  * Bump Standards-Version to 4.7.2 (no changes required).
  * Add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to dh_auto_configure (Closes: #1113438).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 29 Sep 2025 03:32:53 +0200

qcomicbook (0.9.1-3) unstable; urgency=medium

  * Adopt the package (Closes: #826918).
  * d/control: bump debhelper compat to 13 (remove d/compat, remove
    parallel option to dh).
  * d/control: Bump Standards-Version to 4.6.1 (no changes required).
  * d/watch: Update version.
  * d/rules: add hardening option.
  * Update patches:
    - 01_fr.diff: Correct french GenericName and add french Comment.
    - 02_desktop.diff: refresh, add argument to Exec.
    - backport fix_temporary_directory.patch (upstream PR).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Wed, 18 Jan 2023 05:45:07 +0100

qcomicbook (0.9.1-2) unstable; urgency=medium

  * QA upload.
  * Build-depend on qttools5-dev. (Closes: #881074)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Nov 2017 19:02:11 +0200

qcomicbook (0.9.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release:
    - switches to Qt5 (Closes: #875129)
  * Update the patches:
    - 01_fr.diff: refresh
    - 02_desktop.diff: refresh
  * Update the build dependencies, according to the port to Qt5:
    - remove libqt4-dev, and libpoppler-qt4-dev
    - add qtbase5-dev, libqt5x11extras5-dev, qttools5-dev-tools, and
      libpoppler-qt5-dev
  * Point the watch file to the GitHub releases.
  * Drop the libimlib2-dev build dependency, as it is not used.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Sep 2017 16:17:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,17 @@
 Source: qcomicbook
 Section: graphics
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3.0), libimlib2-dev, pkg-config, cmake, libpoppler-qt4-dev
-Standards-Version: 3.9.8
+Maintainer: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Build-Depends:
+ debhelper-compat (= 13),
+ pkgconf,
+ cmake,
+ qtbase5-dev (>= 5.4.0),
+ libqt5x11extras5-dev (>= 5.4.0),
+ qttools5-dev-tools (>= 5.4.0),
+ qttools5-dev,
+ libpoppler-qt5-dev,
+Standards-Version: 4.7.2
 Homepage: http://github.com/stolowski/QComicBook
 
 Package: qcomicbook

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/qcomicbook-$1.tar.gz/g" \
    https://github.com/stolowski/QComicBook/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
